I’m frustrated

Is MongoDB Necessary for Learning Doctrine?

Hi.I'm trying to setup a working environment for Learning Doctrine. I created a vagrant box, via PuPHPet.com, to contain and run the doctrine working files, database and such. But composer keeps crapping out because of mongodb. I get this:

Your requirements could not be resolved to an installable set of packages.

Problem 1
- doctrine/mongodb 1.3.0 requires ext-mongo ^1.5 -> the requested PHP extension mongo is missing from your system.
- doctrine/mongodb-odm dev-master requires doctrine/mongodb ~1.3 -> satisfiable by doctrine/mongodb[1.3.0].
- Installation request for doctrine/mongodb-odm dev-master -> satisfiable by doctrine/mongodb-odm[dev-master].

To enable extensions, verify that they are enabled in those .ini files:
- /etc/php/5.6/cli/php.ini
- /etc/php/5.6/cli/conf.d/10-mysqlnd.ini
- /etc/php/5.6/cli/conf.d/10-opcache.ini
- /etc/php/5.6/cli/conf.d/10-pdo.ini
- /etc/php/5.6/cli/conf.d/20-calendar.ini
- /etc/php/5.6/cli/conf.d/20-ctype.ini
- /etc/php/5.6/cli/conf.d/20-exif.ini
- /etc/php/5.6/cli/conf.d/20-fileinfo.ini
- /etc/php/5.6/cli/conf.d/20-ftp.ini
- /etc/php/5.6/cli/conf.d/20-gettext.ini
- /etc/php/5.6/cli/conf.d/20-iconv.ini
- /etc/php/5.6/cli/conf.d/20-intl.ini
- /etc/php/5.6/cli/conf.d/20-json.ini
- /etc/php/5.6/cli/conf.d/20-mysqli.ini
- /etc/php/5.6/cli/conf.d/20-pdo_mysql.ini
- /etc/php/5.6/cli/conf.d/20-phar.ini
- /etc/php/5.6/cli/conf.d/20-posix.ini
- /etc/php/5.6/cli/conf.d/20-readline.ini
- /etc/php/5.6/cli/conf.d/20-shmop.ini
- /etc/php/5.6/cli/conf.d/20-sockets.ini
- /etc/php/5.6/cli/conf.d/20-sysvmsg.ini
- /etc/php/5.6/cli/conf.d/20-sysvsem.ini
- /etc/php/5.6/cli/conf.d/20-sysvshm.ini
- /etc/php/5.6/cli/conf.d/20-tokenizer.ini
- /etc/php/5.6/cli/conf.d/mongodb.ini
- /etc/php/5.6/cli/conf.d/zzzz_custom.ini
You can also run `php --ini` inside terminal to see which files are used by PHP in CLI mode.

I'm also getting a warning about mongodb not being loaded:

PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php/20131226/mongodb.so' - /usr/lib/php/20131226/mongodb.so: cannot open shared object file: No such file or directory in Unknown on line 0

So, my questions are:
1- Do I need mongodb to run through this course?
2- If not, do I simply remove the mongo requirements in composer.json?
3- If so, where do I get the missing mongodb.so file?

Thanks for your help,
- AAA
1 person has
this problem
+1
Reply